# THIS SCRIPT IS USED TO DETECT SIP MALFORMED MESSAGES
#!/bin/bash
clear
echo "Kernel Methods for SIP malformed message detection"

# Transform SIP messages of input folders into vectors
#enter into directory containing jar file
cd SIP-Malformed-Msg-Detection
# Run SIP-Parser
echo "Running SIP-Parser"
#java -jar TreeKernel-V1.0.0.jar
java -jar LEX_SIP-V1.0.0.jar
echo "Input SIP messages are transformed into feature vectors"
echo "Now Using Support Vector Machine LibSVM for classification"
#untar svm tool LIBSVM
gunzip -c libsvm-3.11.tar.gz | tar xvf -
#Enter into LibSVM directory
cd libsvm-3.11
#compile libsvm-3.11
make
#return to prevous directory
cd -
#copy training data into libsvm-3.11 directory
cp Training_Data.dat libsvm-3.11
#copy testing data into libsvm-3.11 directory
cp Test_Data.dat libsvm-3.11
#againg enter into libsvm-3.11 directory
cd libsvm-3.11
#run training algoringm
svm-train -s 0 -c 10 -t 1 -g 1 -r 1 -d 4 Training_Data.dat
#run classification algorithm
svm-predict Test_Data.dat Training_Data.dat.model SIP-Output.dat    
